ChangeSet 1.1673.8.65, 2004/03/31 13:46:06-08:00, greg@kroah.com

USB: remove "released" field from struct usb_interface as it is not needed.


 include/linux/usb.h |    3 ---
 1 files changed, 3 deletions(-)


diff -Nru a/include/linux/usb.h b/include/linux/usb.h
--- a/include/linux/usb.h	Wed Apr 14 14:34:34 2004
+++ b/include/linux/usb.h	Wed Apr 14 14:34:34 2004
@@ -87,8 +87,6 @@
  *	number from the USB core by calling usb_register_dev().
  * @dev: driver model's view of this device
  * @class_dev: driver model's class view of this device.
- * @released: wait for the interface to be released when changing
- *	configurations.
  *
  * USB device drivers attach to interfaces on a physical device.  Each
  * interface encapsulates a single high level function, such as feeding
@@ -127,7 +125,6 @@
 	int minor;			/* minor number this interface is bound to */
 	struct device dev;		/* interface specific device info */
 	struct class_device *class_dev;
-	struct completion *released;	/* wait for release */
 };
 #define	to_usb_interface(d) container_of(d, struct usb_interface, dev)
 #define	interface_to_usbdev(intf) \
